Subject: bug#25542: 25.1; Restoring the frame from fullscreen to maximized

From: Dani Moncayo <[email-masked]>
Date: Fri, 27 Jan 2017 10:25:08 +0100

On Fri, Jan 27, 2017 at 10:19 AM, martin rudalics <[email-masked]> wrote:
>>> (1) What is the appearance of the maximize button after step 3?  Does it
>>>      show two overlapping windows or one large window?
>>
>> The button shows a single box.- i.e., the window state is _not_ maximized.
>
> This should not happen.  Does it show the two boxes after step 3 with
> the taskbar placed on any of the three other sides of your screen?

I've just tried with the taskbar on the bottom side, and yes, it does
show the two boxes (i.e., maximized frame, expected behavior).

>>> (2) How do the frames from before step 2 and after step 3 differ?
>>>      Please use M-: (frame-geometry) and post the ‘outer-position’ and
>>>      ‘outer-size’ values.
>>
>> The frames are exactly equal.  Both in size and positon on the screen.
>
> Please post the values, maybe they can give us a clue.

In both cases (before step 2 and after step 3), (frame-geometry) outputs this:

  ((outer-position 192 . 130) (outer-size 689 . 671)
(external-border-size 8 . 8) (title-bar-size 651 . 23)
(menu-bar-external . t) (menu-bar-size 673 . 20) (tool-bar-external)
(tool-bar-position . top) (tool-bar-size 689 . 36)
(internal-border-width . 0))

-- 
Dani Moncayo